<form [formGroup]="parkingRequest" class="mid-container pad-lr-10">
  <mat-form-field>
    <input matInput placeholder="First Name" formControlName="firstName" required maxlength="50">
  </mat-form-field>

  <mat-form-field>
    <input matInput placeholder="Last Name" required maxlength="50">
  </mat-form-field>

  <mat-form-field>
    <input matInput placeholder="Organization" formControlName="org" maxlength="255">
  </mat-form-field>

  <mat-form-field>
    <mat-select formControlName="lot" placeholder="Parking Lot" required>
      <mat-option [value]="'Lot A'">Lot A</mat-option>
      <mat-option [value]="'Lot B'">Lot B</mat-option>
      <mat-option [value]="'Lot C'">Lot C</mat-option>
      <mat-option [value]="'Lot D'">Lot D</mat-option>
      <mat-option [value]="'Lot E'">Lot E</mat-option>
    </mat-select>
  </mat-form-field>

  <div class="marg-top-20 full-width">
    <button mat-raised-button color="primary" class="full-width" (click)="submitRequest()" type="button">SUBMIT</button>
  </div>
</form>
